GC.Spread.Sheets.StatusBar.StatusItem 클래스를 통해 상태 항목을 사용자 정의할 수 있습니다.
다음 코드를 사용하여 항목을 추가 또는 제거할 수 있습니다.
목록에 있는 항목 하나 또는 전체를 가져올 수 있습니다.
StatusItem도 사용자 정의를 제공합니다.
onCreateItemView(container): 상태 표시줄에 항목 요소를 만듭니다. 이를 재정의하여 항목을 사용자 정의합니다.
onUpdate(): 상태 표시줄 업데이트를 위한 콜백입니다.
onBind(context): 컨텍스트를 바인딩합니다. 컨텍스트 관련 이벤트 수신기를 추가하도록 재정의할 수 있습니다.
onUnbind(): 컨텍스트를 바인딩 해제합니다. 컨텍스트 관련 이벤트 수신기를 제거하도록 재정의할 수 있습니다.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { useState } from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
export function AppFunc() {
const [statusBar, setStatusbar] = useState(null);
const [addingItemName, setAddingItemName] = useState(null);
const [removingItemName, setRemovingItemName] = useState(null);
const initSpread = (spread) => {
spread.suspendPaint();
//init Status Bar
let statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(document.getElementById('statusBar'));
statusBar.bind(spread);
statusBar.add(new Popup('Popup', { menuContent: 'popup item', value: 'popup', tipText: 'popup' }));
setStatusbar(statusBar);
spread.resumePaint();
}
const changeAddingItemName = (e) => {
setAddingItemName(e.target.value);
}
const addItem = (e) => {
let itemName = addingItemName;
if (!itemName) {
itemName = 'default';
}
statusBar.add(new GC.Spread.Sheets.StatusBar.StatusItem(itemName, { menuContent: itemName, value: itemName, itemName: itemName }));
}
const changeRemovingItemName = (e) => {
setRemovingItemName(e.target.value);
}
const removeItem = (e) => {
let itemName = removingItemName;
if (itemName) {
statusBar.remove(itemName);
}
}
return <div class="sample-tutorial">
<div class="sample-container">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div id="statusBar"></div>
</div>
<div className="sample-options">
<div className="options-container">
<p className="summary">
You can add a customized item or remove an item in the StatusBar.
</p>
<div className="option-row">
<label htmlFor="addItemName">Add an item</label>
<input type="text" id="addItemName" placeholder="Item Name" onChange={e => changeAddingItemName(e)} />
<input type="button" defaultValue="Add Item" id="addItem" onClick={e => addItem(e)} />
</div>
<div className="option-row">
<label htmlFor="removeItemName">Remove an item</label>
<input type="text" id="removeItemName" placeholder="Item Name" onChange={e => changeRemovingItemName(e)} />
<input type="button" defaultValue="Remove Item" id="removeItem" onClick={e => removeItem(e)} />
</div>
</div>
</div>
</div>;
}
//define status item Popup
class Popup extends GC.Spread.Sheets.StatusBar.StatusItem {
constructor(name, options) {
super(name, options);
}
onCreateItemView(container) {
let item = document.createElement('div');
item.innerText = this.value;
item.style.background = '#86bd00';
item.style.padding = "0 3px";
container.appendChild(item);
container.addEventListener('click', function () {
alert('Popup');
});
}
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.addingItemName = null;
this.removingItemName = null;
}
render() {
return <div class="sample-tutorial">
<div class="sample-container">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div id="statusBar"></div>
</div>
<div className="sample-options">
<div className="options-container">
<p className="summary">
You can add a customized item or remove an item in the StatusBar.
</p>
<div className="option-row">
<label htmlFor="addItemName">Add an item</label>
<input type="text" id="addItemName" placeholder="Item Name" onChange={e=>this.changeAddingItemName(e)}/>
<input type="button" defaultValue="Add Item" id="addItem" onClick={e=>this.addItem(e)}/>
</div>
<div className="option-row">
<label htmlFor="removeItemName">Remove an item</label>
<input type="text" id="removeItemName" placeholder="Item Name" onChange={e=>this.changeRemovingItemName(e)}/>
<input type="button" defaultValue="Remove Item" id="removeItem" onClick={e=>this.removeItem(e)}/>
</div>
</div>
</div>
</div>;
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
//init Status Bar
let statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(document.getElementById('statusBar'));
statusBar.bind(spread);
statusBar.add(new Popup('Popup', { menuContent: 'popup item', value: 'popup', tipText: 'popup' }));
this.statusBar = statusBar;
spread.resumePaint();
}
changeAddingItemName(e) {
this.addingItemName = e.target.value;
}
addItem(e) {
let statusBar = this.statusBar;
let itemName = this.addingItemName;
if (!itemName) {
itemName = 'default';
}
statusBar.add(new GC.Spread.Sheets.StatusBar.StatusItem(itemName, { menuContent: itemName, value: itemName, itemName: itemName }));
}
changeRemovingItemName(e) {
this.removingItemName = e.target.value;
}
removeItem(e) {
let statusBar = this.statusBar;
let itemName = this.removingItemName;
if (itemName) {
statusBar.remove(itemName);
}
}
}
//define status item Popup
class Popup extends GC.Spread.Sheets.StatusBar.StatusItem {
constructor(name, options) {
super(name, options);
}
onCreateItemView(container) {
let item = document.createElement('div');
item.innerText = this.value;
item.style.background = '#86bd00';
item.style.padding = "0 3px";
container.appendChild(item);
container.addEventListener('click', function () {
alert('Popup');
});
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
* {
-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.sample-options {
float: right;
height: 100%;
}
.options-toggle {
display: none;
}
@media only screen and (max-width: 768px) {
.options-toggle {
display: block !important;
top: 20px;
left: -30px;
width: 30px;
height: 30px;
position: absolute;
background-color: #86bd00;
line-height: 30px;
text-align: center;
padding: 4px;
box-sizing: border-box;
color: #fff;
}
.options-container {
width: 280px !important;
overflow: auto;
height: 100%;
padding: 22px;
box-sizing: border-box;
}
.sample-container {
width: 100% !important;
height: 100%;
overflow: hidden;
float: left;
}
.sample-options {
right: 0;
padding: 0 !important;
overflow: visible !important;
position: absolute;
box-shadow: 0 0 3px 0 rgba(0, 0, 0, .25);
transition: right .25s ease-in-out;
z-index: 1000;
}
.sample-options.hidden {
right: -280px;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
float: left;
}
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-container {
width: calc(100% - 280px);
height: 100%;
float: left;
}
.sample-spreadsheets {
width: 100%;
height: calc(100% - 25px);
overflow: hidden;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
box-sizing: border-box;
width: 100%;
}
input[type=button] {
margin-top: 6px;
display: block;
}
.summary {
background-color: #e6e6fa;
padding: 3px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

GC.Spread.Sheets.StatusBar.StatusItem 클래스를 통해 상태 항목을 사용자 정의할 수 있습니다.
다음 코드를 사용하여 항목을 추가 또는 제거할 수 있습니다.
목록에 있는 항목 하나 또는 전체를 가져올 수 있습니다.
StatusItem도 사용자 정의를 제공합니다.
onCreateItemView(container): 상태 표시줄에 항목 요소를 만듭니다. 이를 재정의하여 항목을 사용자 정의합니다.
onUpdate(): 상태 표시줄 업데이트를 위한 콜백입니다.
onBind(context): 컨텍스트를 바인딩합니다. 컨텍스트 관련 이벤트 수신기를 추가하도록 재정의할 수 있습니다.
onUnbind(): 컨텍스트를 바인딩 해제합니다. 컨텍스트 관련 이벤트 수신기를 제거하도록 재정의할 수 있습니다.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import GC from '@mescius/spread-sheets';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
statusBar: GC.Spread.Sheets.StatusBar.StatusBar;
addingItemName: string;
removingItemName: string;
hostStyle = {
width: '100%',
height: 'calc(100% - 25px)',
overflow: 'hidden'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
//init Worksheet
let sheet = spread.getSheet(0);
//init Status Bar
let statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(document.getElementById('statusBar'));
statusBar.bind(spread);
statusBar.add(new Popup('Popup', { menuContent: 'popup item', value: 'popup', tipText: 'popup' }));
this.statusBar = statusBar;
spread.resumePaint();
}
changeAddingItemName(e: any) {
this.addingItemName = e.target.value;
}
addItem(e: any) {
let statusBar = this.statusBar;
let itemName = this.addingItemName;
if (!itemName) {
itemName = 'default';
}
statusBar.add(new GC.Spread.Sheets.StatusBar.StatusItem(itemName, { menuContent: itemName, value: itemName, itemName: itemName }));
}
changeRemovingItemName(e: any) {
this.removingItemName = e.target.value;
}
removeItem(e: any) {
let statusBar = this.statusBar;
let itemName = this.removingItemName;
if (itemName) {
statusBar.remove(itemName);
}
}
}
//define status item Popup
class Popup extends GC.Spread.Sheets.StatusBar.StatusItem {
constructor(name: string, options: any) {
super(name, options);
}
onCreateItemView(container: HTMLElement) {
let item = document.createElement('div');
item.innerText = (<any>this).value;
item.style.background = '#86bd00';
item.style.padding = "0 3px";
container.appendChild(item);
container.addEventListener('click', function () {
alert('Popup');
});
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<div class="sample-container">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div id="statusBar"></div>
</div>
<div class="sample-options">
<div class="options-container">
<p class="summary">
You can add a customized item or remove an item in the StatusBar.
</p>
<div class="option-row">
<label for="addItemName">Add an item</label>
<input type="text" id="addItemName" placeholder="Item Name" (change)="changeAddingItemName($event)">
<input type="button" value="Add Item" id="addItem" (click)="addItem($event)">
</div>
<div class="option-row">
<label for="removeItemName">Remove an item</label>
<input type="text" id="removeItemName" placeholder="Item Name" (change)="changeRemovingItemName($event)">
<input type="button" value="Remove Item" id="removeItem" (click)="removeItem($event)">
</div>
</div>
</div>
</div>
* {
-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.sample-options {
float: right;
height: 100%;
}
.options-toggle {
display: none;
}
@media only screen and (max-width: 768px) {
.options-toggle {
display: block !important;
top: 20px;
left: -30px;
width: 30px;
height: 30px;
position: absolute;
background-color: #86bd00;
line-height: 30px;
text-align: center;
padding: 4px;
box-sizing: border-box;
color: #fff;
}
.options-container {
width: 280px !important;
overflow: auto;
height: 100%;
padding: 22px;
box-sizing: border-box;
}
.sample-container {
width: 100% !important;
height: 100%;
overflow: hidden;
float: left;
}
.sample-options {
right: 0;
padding: 0 !important;
overflow: visible !important;
position: absolute;
box-shadow: 0 0 3px 0 rgba(0, 0, 0, .25);
transition: right .25s ease-in-out;
z-index: 1000;
}
.sample-options.hidden {
right: -280px;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
float: left;
}
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-container {
width: calc(100% - 280px);
height: 100%;
float: left;
}
.sample-spreadsheets {
width: 100%;
height: calc(100% - 25px);
overflow: hidden;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
box-sizing: border-box;
width: 100%;
}
input[type=button] {
margin-top: 6px;
display: block;
}
.summary {
background-color: #e6e6fa;
padding: 3px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

GC.Spread.Sheets.StatusBar.StatusItem 클래스를 통해 상태 항목을 사용자 정의할 수 있습니다.
다음 코드를 사용하여 항목을 추가 또는 제거할 수 있습니다.
목록에 있는 항목 하나 또는 전체를 가져올 수 있습니다.
StatusItem도 사용자 정의를 제공합니다.
onCreateItemView(container): 상태 표시줄에 항목 요소를 만듭니다. 이를 재정의하여 항목을 사용자 정의합니다.
onUpdate(): 상태 표시줄 업데이트를 위한 콜백입니다.
onBind(context): 컨텍스트를 바인딩합니다. 컨텍스트 관련 이벤트 수신기를 추가하도록 재정의할 수 있습니다.
onUnbind(): 컨텍스트를 바인딩 해제합니다. 컨텍스트 관련 이벤트 수신기를 제거하도록 재정의할 수 있습니다.
<template>
<div class="sample-tutorial">
<div class="sample-container">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div id="statusBar"></div>
</div>
<div class="sample-options">
<div class="options-container">
<p class="summary">You can add a customized item or remove an item in the StatusBar.</p>
<div class="option-row">
<label for="addItemName">Add an item</label>
<input type="text" id="addItemName" placeholder="Item Name" @change="changeAddingItemName"/>
<input type="button" value="Add Item" id="addItem" @click="addItem"/>
</div>
<div class="option-row">
<label for="removeItemName">Remove an item</label>
<input type="text" id="removeItemName" placeholder="Item Name" @change="changeRemovingItemName"/>
<input type="button" value="Remove Item" id="removeItem" @click="removeItem"/>
</div>
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import "@mescius/spread-sheets-vue";
import GC from "@mescius/spread-sheets";
import "./styles.css";
let App = Vue.extend({
name: "app",
data: function() {
return {
spread: null,
addingItemName: null,
removingItemName: null
};
},
methods: {
initSpread: function(spread) {
this.spread = spread;
spread.suspendPaint();
//init Status Bar
let statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(
document.getElementById("statusBar")
);
statusBar.bind(spread);
statusBar.add(
new Popup("Popup", {
menuContent: "popup item",
value: "popup",
tipText: "popup"
})
);
this.statusBar = statusBar;
spread.resumePaint();
},
changeAddingItemName(e) {
this.addingItemName = e.target.value;
},
addItem(e) {
let statusBar = this.statusBar;
let itemName = this.addingItemName;
if (!itemName) {
itemName = "default";
}
statusBar.add(
new GC.Spread.Sheets.StatusBar.StatusItem(itemName, {
menuContent: itemName,
value: itemName,
itemName: itemName
})
);
},
changeRemovingItemName(e) {
this.removingItemName = e.target.value;
},
removeItem(e) {
let statusBar = this.statusBar;
let itemName = this.removingItemName;
if (itemName) {
statusBar.remove(itemName);
}
}
}
});
//define status item Popup
class Popup extends GC.Spread.Sheets.StatusBar.StatusItem {
constructor(name, options) {
super(name, options);
}
onCreateItemView(container) {
let item = document.createElement("div");
item.innerText = this.value;
item.style.background = "#86bd00";
item.style.padding = "0 3px";
container.appendChild(item);
container.addEventListener("click", function() {
alert("Popup");
});
}
}
new Vue({
render: h => h(App)
}).$mount("#app");
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/ko/lib/vue/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
* {
-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.sample-options {
float: right;
height: 100%;
}
.options-toggle {
display: none;
}
@media only screen and (max-width: 768px) {
.options-toggle {
display: block !important;
top: 20px;
left: -30px;
width: 30px;
height: 30px;
position: absolute;
background-color: #86bd00;
line-height: 30px;
text-align: center;
padding: 4px;
box-sizing: border-box;
color: #fff;
}
.options-container {
width: 280px !important;
overflow: auto;
height: 100%;
padding: 22px;
box-sizing: border-box;
}
.sample-container {
width: 100% !important;
height: 100%;
overflow: hidden;
float: left;
}
.sample-options {
right: 0;
padding: 0 !important;
overflow: visible !important;
position: absolute;
box-shadow: 0 0 3px 0 rgba(0, 0, 0, .25);
transition: right .25s ease-in-out;
z-index: 1000;
}
.sample-options.hidden {
right: -280px;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
float: left;
}
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-container {
width: calc(100% - 280px);
height: 100%;
float: left;
}
.sample-spreadsheets {
width: 100%;
height: calc(100% - 25px);
overflow: hidden;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
box-sizing: border-box;
width: 100%;
}
input[type=button] {
margin-top: 6px;
display: block;
}
.summary {
background-color: #e6e6fa;
padding: 3px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);